curl -X PATCH "https://api.affonso.io/v1/finder/shortlist/cmk2q1wau0003sb01lpvka003" \
-H "Authorization: Bearer sk_live_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"emails": ["hello@example.com"],
"social_media": ["https://x.com/example"],
"notes": "Reached out on Monday",
"status": "CONTACTED"
}'
{
"success": true,
"data": {
"id": "cmk2q1wau0003sb01lpvka003",
"name": "Example",
"domain": "example.com",
"urls": [
"https://example.com/article"
],
"category": "google",
"emails": [
"hello@example.com"
],
"social_media": [
"https://x.com/example"
],
"notes": "Reached out on Monday",
"status": "CONTACTED",
"created_at": "2026-08-28T00:00:00.000Z",
"updated_at": "2026-08-28T02:00:00.000Z"
}
}
Affiliate Finder
Update Finder Shortlist Item
Update contact details, notes, or workflow status on a saved opportunity
PATCH
/
v1
/
finder
/
shortlist
/
{id}
curl -X PATCH "https://api.affonso.io/v1/finder/shortlist/cmk2q1wau0003sb01lpvka003" \
-H "Authorization: Bearer sk_live_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"emails": ["hello@example.com"],
"social_media": ["https://x.com/example"],
"notes": "Reached out on Monday",
"status": "CONTACTED"
}'
{
"success": true,
"data": {
"id": "cmk2q1wau0003sb01lpvka003",
"name": "Example",
"domain": "example.com",
"urls": [
"https://example.com/article"
],
"category": "google",
"emails": [
"hello@example.com"
],
"social_media": [
"https://x.com/example"
],
"notes": "Reached out on Monday",
"status": "CONTACTED",
"created_at": "2026-08-28T00:00:00.000Z",
"updated_at": "2026-08-28T02:00:00.000Z"
}
}
Path Parameters
string
required
Shortlist item ID
Body Parameters
At least one field must be provided.string[]
Replacement list of contact emails. Maximum 100 items. Each value must be a valid email.
string[]
Replacement list of social profile URLs. Maximum 100 items. Each value must be a valid URL.
string | null
Notes. Maximum 5000 characters. Set to
null to clear.string | null
Workflow status. Maximum 50 characters. Set to
null to clear.Response
The response includes the updated shortlist item.boolean
Always
true for successful responsesobject
The updated shortlist item.
Show Data Object Properties
Show Data Object Properties
string
Unique identifier for the shortlist item
string
Opportunity name
string
Opportunity domain
string[]
URLs grouped into this shortlist item
string
Opportunity category
string[]
Saved contact emails
string[]
Saved social profile URLs
string | null
Notes, or
null if unsetstring | null
Workflow status, or
null if unsetstring
ISO 8601 timestamp of when the item was created
string
ISO 8601 timestamp of when the item was last updated
curl -X PATCH "https://api.affonso.io/v1/finder/shortlist/cmk2q1wau0003sb01lpvka003" \
-H "Authorization: Bearer sk_live_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"emails": ["hello@example.com"],
"social_media": ["https://x.com/example"],
"notes": "Reached out on Monday",
"status": "CONTACTED"
}'
{
"success": true,
"data": {
"id": "cmk2q1wau0003sb01lpvka003",
"name": "Example",
"domain": "example.com",
"urls": [
"https://example.com/article"
],
"category": "google",
"emails": [
"hello@example.com"
],
"social_media": [
"https://x.com/example"
],
"notes": "Reached out on Monday",
"status": "CONTACTED",
"created_at": "2026-08-28T00:00:00.000Z",
"updated_at": "2026-08-28T02:00:00.000Z"
}
}
Errors
| Status | Code | Description |
|---|---|---|
400 | VALIDATION_ERROR | Invalid request body, or no fields provided |
404 | NOT_FOUND | Finder shortlist item not found |
Notes
- Requires the
write:finderpermission.
Was this page helpful?
